[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# Tfields.Destroy

Free the TFields instance

## Declaration

Source position: db.pas line 1080

`public destructor Tfields.Destroy; override;`

## Description

Destroy frees the field instances that it manages on behalf of the Dataset. After that it cleans up the internal structures and then calls the inherited destructor.

## See also

TDataset |  | Base class for records-based data-access
TField |  | Provide access to the contents of a single field in a record
TFields.Clear |  | Clear the list of fields

The latest version of this document can be found at lazarus-ccr.sourceforge.net .